base='GAcc';
pdir='C:\gweb\teaching\s2021\labs\GravitationalAcceleration\';
final=false;
genFig=false||final;
genPdf=true||final;

mfile=sprintf('%s.m',base);
pdffile=sprintf('%s.pdf',base);
hfile=sprintf('html/%s.html',base);
zipfile=sprintf('%s.zip',base);

%% extra files
xfiles={'ino/*','*.m','php/*.php','Pendulo2.pdf','JAMP_2017012515591136.pdf'};

%% generate static images
ifiles=makeFig(0,genFig);

%% generate new pdf
if(genPdf)
  delete(sprintf('html/%s*.png',base));
  publish(mfile,'format','pdf','latexFontSize',40,'latexScaleFactor',3);
  copyfile(['html/' pdffile],'.');
end

%% generate new html
% for bigger font use:
%delete(['html/' base '*.png']);
%publish(mbase,'latexFontSize',40,'latexScaleFactor',3); 
publish(mfile); 

%% send to web
mfiles={mfile,pdffile};
  
zip(zipfile,[mfiles,ifiles,xfiles]);
mfiles=[zipfile,mfiles,ifiles,xfiles];

Nf=length(mfiles); 
for nf=1:Nf
  copyfile(mfiles{nf},'html\');
end

% fix ccs
subFileLines(hfile,'pubsty.css',[10 56]);

copyfile('html\*',pdir);

%% local display
web(hfile);

% https://www.mathworks.com/matlabcentral/answers/93851-how-can-i-use-mathjax-to-render-the-latex-math-in-the-published-output-in-matlab-7-10-r2010a

